# PSF-LoginServer - master - net.psforever.objects.vital.damage.SpecificDamageProfile
PSF - LoginServer - master - net.psforever.objects.vital.damage.SpecificDamageProfile
Keywords: PSF LoginServer master net.psforever.objects.vital.damage.SpecificDamageProfile

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package vital
  Definition Classes
    objects
-  package damage
  Definition Classes
    vital
- DamageCalculations
- DamageModifierFunctions
- DamageProfile
- GalaxyGunshipReduction
- RadialDegrade
- SameHit
- SpecificDamageProfile
- StandardDamageProfile

c

net.psforever.objects.vital.damage

# SpecificDamageProfile 

###
Companion object SpecificDamageProfile

#### class SpecificDamageProfile extends DamageProfile

A static modifier for damage.

Source
  SpecificDamageProfile.scala

Linear Supertypes
DamageProfile, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. SpecificDamageProfile
2. DamageProfile
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new SpecificDamageProfile()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def Damage0: Int

   `damage0` is for basic infantry

   `damage0` is for basic infantry

   Definition Classes
     SpecificDamageProfile → DamageProfile
5.  def Damage0_=(damage: Int): Int

   `damage0` is for basic infantry

   `damage0` is for basic infantry

   Definition Classes
     SpecificDamageProfile → DamageProfile
6.  def Damage1: Int

   `damage1` is for armor, amenities, deployables, etc.

   `damage1` is for armor, amenities, deployables, etc.

   Definition Classes
     SpecificDamageProfile → DamageProfile
7.  def Damage1_=(damage: Int): Int

   `damage1` is for armor, amenities, deployables, etc.

   `damage1` is for armor, amenities, deployables, etc.

   Definition Classes
     SpecificDamageProfile → DamageProfile
8.  def Damage2: Int

   `damage2` is for aircraft

   `damage2` is for aircraft

   Definition Classes
     SpecificDamageProfile → DamageProfile
9.  def Damage2_=(damage: Int): Int

   `damage2` is for aircraft

   `damage2` is for aircraft

   Definition Classes
     SpecificDamageProfile → DamageProfile
10.  def Damage3: Int

    `damage3` is for mechanized infantry

    `damage3` is for mechanized infantry

    Definition Classes
      SpecificDamageProfile → DamageProfile
11.  def Damage3_=(damage: Int): Int

    `damage3` is for mechanized infantry

    `damage3` is for mechanized infantry

    Definition Classes
      SpecificDamageProfile → DamageProfile
12.  def Damage4: Int

    `damage4` is for battleframe robotics

    `damage4` is for battleframe robotics

    Definition Classes
      SpecificDamageProfile → DamageProfile
13.  def Damage4_=(damage: Int): Int

    `damage4` is for battleframe robotics

    `damage4` is for battleframe robotics

    Definition Classes
      SpecificDamageProfile → DamageProfile
14.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
15.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
16.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
18.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
19.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
20.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
21.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
22.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
23.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
24.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
25.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
26.  def toString(): String
    Definition Classes
      AnyRef → Any
27.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
28.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
29.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from DamageProfile

### Inherited from AnyRef

### Inherited from Any

### Ungrouped